#
# spec file for package ghc-mime-mail
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name mime-mail
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.4.14
Release:        6.5
Summary:        Compose MIME email messages
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/mime-mail>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update mime-mail to version 0.4.14.
  A more detailed change log is not available.
* Mon Jul 24 2017 psimons@suse.com
- Update to version 0.4.13.1 revision 6.
* Mon Jul 24 2017 psimons@suse.com
- Update to version 0.4.13.1 revision 5.
* Mon May 22 2017 psimons@suse.com
- Update to version 0.4.13.1 revision 4 with cabal2obs.
* Mon May  8 2017 psimons@suse.com
- Update to version 0.4.13.1 revision 2 with cabal2obs.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.4.13.1 revision 1 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 0.4.13.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.4.13 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.4.12 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.11 revision 0 with cabal2obs.
* Mon Feb 22 2016 psimons@suse.com
- initial version mime-mail-0.4.11
